Subject: pkg/25356: devel/apr Add option to enable LDAP support
To: None <>
From: None <>
List: pkgsrc-bugs
Date: 04/27/2004 21:06:55
>Number:         25356
>Category:       pkg
>Synopsis:       devel/apr Add option to enable LDAP support
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Tue Apr 27 21:07:00 UTC 2004
>Originator:     Matt Dainty
>Release:        1.6ZK
NetBSD 1.6ZK NetBSD 1.6ZK (POLYMORPH) #0: Mon Apr 12 15:49:46 BST 2004 sparc64
To enable Apache 2.x to build its mod_ldap and mod_auth_ldap modules, apr-util needs to be built with '--with-ldap' and educated where to find the LDAP SDK of choice. Currently there's no facility in the apr package to either explicitly or optionally add LDAP support.

I've created a solution with the following patch to devel/apr/Makefile:

Index: Makefile
RCS file: /cvsroot/pkgsrc/devel/apr/Makefile,v
retrieving revision 1.17
diff -r1.17 Makefile
> .if ${APR_USE_LDAP} == "YES"
>       --with-ldap
> .endif
> .if ${APR_USE_LDAP} == "YES"
> .include "../../databases/openldap/"
> .endif

So that introduces a new variable APR_USE_LDAP which I basically copied from the similar APR_USE_DB4 section(s).